package com.ym.mec.web;

import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.common.entity.ImUserModel;
import com.ym.mec.web.fallback.TeacherFeignServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "teacher-server", configuration = FeignConfiguration.class, fallback = TeacherFeignServiceFallback.class)
public interface TeacherFeignService {

	/**
	 * 用户注册
	 * @param userId
	 * @return
	 */
	@PostMapping(value = "code/saveUserCashAccount")
	void saveUserCashAccount(Integer userId);
}
